Subject: bug#30229: Python modules installed by pip in virtualenv can't find shared objects.

From: Fis Trivial <[email-masked]>
Date: Tue, 23 Jan 2018 13:21:10 +0000

> 
> In general, though, I recommend using Guix for package management and
> development instead of virtualenv and pip.
> 
I understand the importance for having a self-contained dependency graph.

After trying guix a few months, I came to realize that, at the a theoretical
level, the environment variables are not treated as part of the dependency
graph in the Guix world. Dangling environment variables happens, and can not
be solved by installing everything with guix(1).

I really hope that we can come up with some methods to solve these problems
in a systematical way. I will keep reporting bugs caused by environment
variables, hoping that it might be helpful in future development.

[1]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30093